CVE-2020-13112

NameCVE-2020-13112
DescriptionAn issue was discovered in libexif before 0.6.22. Several buffer over-reads in EXIF MakerNote handling could lead to information disclosure and crashes. This is different from CVE-2020-0093.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDLA-2222-1
NVD severitymedium
Debian Bugs961407

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
libexif (PTS)jessie, stretch0.6.21-2vulnerable
jessie (security)0.6.21-2+deb8u3fixed
stretch (security)0.6.21-2+deb9u1vulnerable
buster, buster (security)0.6.21-5.1+deb10u1vulnerable
bullseye0.6.21-9fixed
sid0.6.22-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
libexifsource(unstable)0.6.21-9961407
libexifsourcejessie0.6.21-2+deb8u3DLA-2222-1

Notes

[buster] - libexif <no-dsa> (Minor issue)
[stretch] - libexif <no-dsa> (Minor issue)
https://github.com/libexif/libexif/commit/435e21f05001fb03f9f186fa7cbc69454afd00d1 (0.6.22)

Search for package or bug name: Reporting problems